<?xml version="1.0" encoding="utf-8"?>
<t:layoutdefinition xmlns:t="http://www.captaincasa.com/controllibrary/t" >

<t:beanprocessing id="g_1" beanbinding="#{d.CreateConnectionBean}" />
<t:rowtitlebar id="g_2" text="#{rr.literalsNanoleaf[&#39;nanoleaf&#39;]}" />
<t:rowheader id="g_3" />
<t:rowbodypane id="g_4" >
<t:rowdistance id="g_6" />
<t:row id="g_8" >
<t:coldistance id="g_10" />
<t:label id="g_12" align="center" text="#{rr.literalsNanoleaf[&#39;hostname&#39;]}" width="200" />
<t:coldistance id="g_5" />
<t:label id="g_14" align="center" text="#{rr.literalsNanoleaf[&#39;ipadress&#39;]}" width="200" />
<t:coldistance id="g_13" />
<t:label id="g_22" align="center" text="#{rr.literalsNanoleaf[&#39;port&#39;]}" width="100" />
</t:row>
<t:rowdistance id="g_7" />
<t:row id="g_16" >
<t:coldistance id="g_9" />
<t:field id="g_18" text="#{d.CreateConnectionBean.nlconnect.nchostname}" width="200" />
<t:coldistance id="g_11" />
<t:field id="g_20" text="#{d.CreateConnectionBean.nlconnect.ncipadress}" width="200" />
<t:coldistance id="g_15" />
<t:field id="g_24" text="#{d.CreateConnectionBean.nlconnect.ncport}" width="100" />
</t:row>
<t:rowdistance id="g_17" height="20" />
<t:row id="g_26" >
<t:coldistance id="g_19" />
<t:label id="g_28" align="center" text="#{rr.literalsNanoleaf[&#39;token&#39;]}" width="300" />
<t:coldistance id="g_21" />
<t:label id="g_30" align="center" text="#{rr.literalsNanoleaf[&#39;nanoleaf_type&#39;]}" width="150" />
<t:coldistance id="g_23" />
<t:label id="g_32" text="#{rr.literalsNanoleaf[&#39;count_panels&#39;]}" width="100" />
</t:row>
<t:rowdistance id="g_25" />
<t:row id="g_34" >
<t:coldistance id="g_27" />
<t:field id="g_36" text="#{d.CreateConnectionBean.nlconnect.nctoken}" width="300" />
<t:coldistance id="g_29" />
<t:combobox id="g_38" value="#{d.CreateConnectionBean.nlconnect.nctype}" width="150" >
<t:comboboxitem id="g_33" text="CANVAS" value="CANVAS" />
<t:comboboxitem id="g_42" text="SHAPES" value="SHAPES" />
</t:combobox>
<t:coldistance id="g_31" />
<t:spinner id="g_40" maxvalue="100" minvalue="4" value="#{d.CreateConnectionBean.nlconnect.nccountpanel}" width="100" />
</t:row>
<t:rowdistance id="g_35" height="40" />
<t:row id="g_44" >
<t:coldistance id="g_48" />
<t:button id="g_39" actionListener="#{d.CreateConnectionBean.onLoad}" text="#{rr.literalsNanoleaf[&#39;load&#39;]}" />
<t:coldistance id="g_37" />
<t:button id="g_46" actionListener="#{d.CreateConnectionBean.onSave}" text="#{rr.literalsNanoleaf[&#39;save&#39;]}" />
<t:coldistance id="g_41" />
<t:button id="g_50" actionListener="#{d.CreateConnectionBean.onClear}" text="#{rr.literalsNanoleaf[&#39;reset&#39;]}" />
</t:row>
</t:rowbodypane>

</t:layoutdefinition>